cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
],
"kind": "<string>",
"nextPageToken": "<string>"
}category
Get categoryv1libraries categories values
Lists the children category values of a parent category value of a category in a library.
GET
/
category
/
v1
/
libraries
/
{libraryId}
/
categories
/
{categoryId}
/
values
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
The ID of the category
Query Parameters
The ID of a parent category value (leave empty for root level)
The security code
The G Suite domain
Get categoryv1libraries categories allvalueshierarchy
Previous
Put categoryv1libraries categories values
Next
⌘I